0.4.4

Interface QT

Modérateur : xcasadmin

Répondre
fhub
Messages : 31
Inscription : lun. juin 22, 2009 8:30 pm

0.4.4

Message par fhub » mar. juin 24, 2014 11:09 am

Hi,

first many thanks for your Qcas, it's really a pretty GUI for Xcas!

There's one problem with the latest Windows version 0.4.4:
when I close the program I get an error message popup window saying "qcas.exe funktioniert nicht mehr" ("qcas.exe not working anymore" in English).
The previous version 0.4.3 didn't have this problem.

And one small request:
it would be nice if Qcas would remember the language setting, because now I always have to switch to English again whenever I start Qcas.
Or is there any commandline option to automatically start Qcas in English?

Thanks,
Franz

frederic han
Messages : 1113
Inscription : dim. mai 20, 2007 7:09 am
Localisation : Paris
Contact :

Re: 0.4.4

Message par frederic han » mer. juin 25, 2014 4:37 am

Thanks for your comments,

the 0.4.3 for windows is still avaible there:
http://www.math.jussieu.fr/~han/qcas/bi ... -setup.exe

I will try to save the lang or build an english version by default.
On linux qcas starts in the global lang env, I don't know if it works on windows.
what is your default LANG?

I wil try to nderstand the close error message on windows (but I don't have windows yet it is cross compiled from linux)
Best regards

Frederic

fhub
Messages : 31
Inscription : lun. juin 22, 2009 8:30 pm

Re: 0.4.4

Message par fhub » mer. juin 25, 2014 9:30 am

frederic han a écrit : I will try to save the lang or build an english version by default.
On linux qcas starts in the global lang env, I don't know if it works on windows.
what is your default LANG?
Ahh, this LANG was a good tip! :-)
By default there's no such enviroment variable defined in Windows, but now when I do a "set LANG=EN" and start Qcas then it is in fact in English.
I've now created a batch file to run Qcas after setting LANG, so at least the first problem is solved ... ;-)

Regards,
Franz

frederic han
Messages : 1113
Inscription : dim. mai 20, 2007 7:09 am
Localisation : Paris
Contact :

Re: 0.4.4

Message par frederic han » jeu. juin 26, 2014 4:41 am

For the pop up problem could you try this version built with giac 1.1.0 as qcas 0.4.3?

Save this file in your Qcas directory (the one containing qcas.exe)
http://www.math.jussieu.fr/~han/qcas/bi ... iac110.exe

Also, do you have this problem if you don't do any interactive geometry?


Frederic

fhub
Messages : 31
Inscription : lun. juin 22, 2009 8:30 pm

Re: 0.4.4

Message par fhub » jeu. juin 26, 2014 8:36 am

frederic han a écrit :For the pop up problem could you try this version built with giac 1.1.0 as qcas 0.4.3?
Yes, I've already seen this file and tried it, and this version does not show this error popup at the end.
But of course going back to an older giac version would be a backstep.
Also, do you have this problem if you don't do any interactive geometry?
It has nothing to do with geometry, it happens also if you just start qcas and immediately quit it again without having done anything else.

Edit: AHH, I just saw that you've already uploaded qcas-0.4.4_giac111.exe (with the new qcas), and this one is working perfectly: no more error popup (and also starting in English by default)!
Many thanks!!!

Franz

frederic han
Messages : 1113
Inscription : dim. mai 20, 2007 7:09 am
Localisation : Paris
Contact :

Re: 0.4.4

Message par frederic han » jeu. juin 26, 2014 9:29 am

OK thanks for the feed back.

So the lang is taken from the windows system lang ( unfortunately not the lang from selector in the windows tool bar (keyboard lang ?)

I believe that the crash was either a build problem (mix with headers from 110 and 111) or something in the old 111 code for MINGW32

Best

Frederic

(I have updated the setup.exe)

yvand
Messages : 35
Inscription : jeu. févr. 07, 2013 7:14 pm

Re: 0.4.4

Message par yvand » lun. juil. 21, 2014 3:53 pm

I just want to mention that I got the same problem with https://www.imj-prg.fr/~frederic.han/qc ... -setup.exe (downloaded 20 minutes ago)
Didn't you update Qcas to use giac 1.1.1?

When I quit Qcas (even if I did nothing), I got a pop saying "qcas.exe a cessé de fonctionner".
Below are the details of the problem Windows gave me if it could help:

Code : Tout sélectionner

Signature du problème :
  Nom d’événement de problème:	APPCRASH
  Nom de l’application:	qcas.exe
  Version de l’application:	0.0.0.0
  Horodatage de l’application:	53a84530
  Nom du module par défaut:	ntdll.dll
  Version du module par défaut:	6.1.7601.18247
  Horodateur du module par défaut:	521ea8e7
  Code de l’exception:	c0000005
  Décalage de l’exception:	0002e3be
  Version du système:	6.1.7601.2.1.0.768.3
  Identificateur de paramètres régionaux:	1036
  Information supplémentaire n° 1:	0a9e
  Information supplémentaire n° 2:	0a9e372d3b4ad19135b953a78882e789
  Information supplémentaire n° 3:	0a9e
  Information supplémentaire n° 4:	0a9e372d3b4ad19135b953a78882e789

Lire notre déclaration de confidentialité en ligne :
  http://go.microsoft.com/fwlink/?linkid=104288&clcid=0x040c

Si la déclaration de confidentialité en ligne n’est pas disponible, lisez la version hors connexion :
  C:\Windows\system32\fr-FR\erofflps.txt

frederic han
Messages : 1113
Inscription : dim. mai 20, 2007 7:09 am
Localisation : Paris
Contact :

Re: 0.4.4

Message par frederic han » lun. juil. 21, 2014 7:03 pm

Sorry I have a bad internet connexion to test but I may have made a mistake, I see that:

This file is from 27 June:
https://www.imj-prg.fr/~frederic.han/qc ... -setup.exe

but this one is from 23 June:
https://www.imj-prg.fr/~frederic.han/qc ... -setup.exe

could you try if the first one is better for you?

Frederic

yvand
Messages : 35
Inscription : jeu. févr. 07, 2013 7:14 pm

Re: 0.4.4

Message par yvand » jeu. juil. 24, 2014 3:32 pm

I can confirm that it works fine with the first file.
Btw, thank you for Qcas.

frederic han
Messages : 1113
Inscription : dim. mai 20, 2007 7:09 am
Localisation : Paris
Contact :

Re: 0.4.4

Message par frederic han » sam. juil. 26, 2014 12:21 pm

Thank you for the feed back because it is cross compiled from linux for windows, and I can only test the windows version via emulators.

I have deleted the old file and replace it by the 27 june one.

Best regards

Frederic

Répondre